For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Wire Instructions

GET

https://api.sfox.com/v1/user/wire-instructions

Returns wire instructions for depositing USD to the sFOX account.


Request

Authentication: This endpoint requires a User Auth Token for authentication. Requests using your Connect API Key will be rejected.

Example Request

curl -H "Authorization: Bearer ${USER_AUTH_TOKEN}" \
 'https://api.sfox.com/v1/user/wire-instructions'
const axios = require('axios');

const config = {
  method: 'get',
  url: 'https://api.sfox.com/v1/user/wire-instructions',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer <USER_AUTH_TOKEN>'
  }
}

axios(config)
  .then((response) => {
    console.log(response.status)
    console.log(respones.data)
  })
  .catch((err) => {
    console.error(err.response.status)
    console.error(err.response.data)
  });

Response

Response Body

Key
Description

bank_name string

Name of the receiving bank.

bank_address string

The receiving bank's address.

beneficiary_name string

Name of the beneficiary.

beneficiary_address string

Address of the beneficiary.

bank_routing_number string

Routing number of the beneficiary bank account. For domestic wire transfers.

bank_routing_swift string

SWIFT number of the receiving bank. For wire transfers originating from a bank account outside of the U.S.

bank_account_number string

Account number of the beneficiary bank account.

sfox_user_ref_id string

sFOX User Reference ID. REQUIRED: End user MUST include this reference ID in their wire transfer instructions for the transfer to be properly credited to their account. Typically in a bank's portal, this would be specified in the memo or special instructions field of the wire template.

Responses

200: OK

Last updated